Subject: Re: running sshd with a different port than 22
From: "Daniel Adams" <[email-masked]>
To: [email-masked]
Date: Mon, 22 Jul 2002 10:45:33 -0700
Newsgroups: gmane.os.cygwin

My guess is maybe because have an FTP server running on your computer which
by default will use port 21. Is it the FTP server associated with cygwin, or
is it a 3rd party one? I am asking because I have had troubles with my
cygwin ftp server lately.

--
Daniel Adams - [email-masked]
http://dana.ucc.nau.edu/~dpa3

  1 Peter 4:10 (NIV)-  Each one should use whatever gift he has received to
serve others, faithfully administering God's grace in its various forms.

"Gerrit P. Haase" <[email-masked]> wrote in message
news:[email-masked]...
> Hallo,
>
> For some reason I want to run the sshd on port 21.
>
> I invoked "ssh-host-config -p 21" and let the script install
> sshd as a service (I'm on NT4).
>
> After starting sshd as a service I can connect from the same
> box with:
>
> $ ssh -p 21 localhost
>
> Now I tried to connect from a second (remote) box and I get this:
>
> $ ssh -p 21 server
> Read from socket failed: Connection reset by peer
>
> I see that it is really running:
> $ telnet server 21
> Trying 192.168.5.5...
> Connected to server.koeln.convey.de.
> Escape character is '^]'.
> SSH-1.99-OpenSSH_3.4p1
>
> I can see sshd is forking of several childs on the server...
>
> Is there some important issue I misunderstood?
> Why is it not possible to connect sshd on port 21?
>
>
> Gerrit
> --
> sig
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/